cURL
curl --request GET \ --url https://api.gcore.com/cloud/v1/projectimages/{project_id}/{region_id} \ --header 'Authorization: <api-key>'
{ "count": 1, "results": [ { "created_at": "2024-05-05T14:51:26.570866", "disk_format": "raw", "id": "44e136a7-15c1-4b5f-a086-20b7b3237d40", "min_disk": 3, "min_ram": 0, "name": "ubuntu-20.10-x64", "os_distro": "ubuntu", "os_type": "linux", "os_version": "20.10", "project_id": 1337, "region": "Luxembourg 1", "region_id": 7, "size": 2361393152, "status": "active", "tags": [ { "key": "my-tag", "read_only": false, "value": "my-tag-value" } ], "updated_at": "2024-05-05T14:51:26.570866", "visibility": "public", "architecture": "x86_64", "creator_task_id": "b10dd116-07f5-4225-abb7-f42da5cb78fb", "description": "string", "display_order": 2010, "gpu_driver": "nvidia", "gpu_driver_type": "open", "gpu_driver_version": "570.148.08", "hw_firmware_type": "bios", "hw_machine_type": "q35", "is_baremetal": false, "ssh_key": "allow", "task_id": null } ] }
Retrieve a list of images owned by the project.
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef
apikey
apikey 1234$abcdef
Project ID
Region ID
Show price
List of images
Number of objects
x >= 0
1
Objects
Show child attributes
Was this page helpful?